/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// PersonImpl.java

package org.objectweb.jonas.jtests.beans.inherit;

public class PersonImpl extends Top {

    public int age;

    public void setAge(int a) {
	age = a;
    }
    public int getAge() {
	return age;
    }
    public String getValue(int i) {
	return (Integer.toString(i));
    }
    public String ejbHomeGetValue(int i) {
	return "ejbHomeGetValue";
    }


    // To test the bug #474 and #524
    public Person.InnerClass getTestInnerClass() {
        return new Person.InnerClass();
    }
    public void setTestInnerClass(Person.InnerClass dc)  throws Person.ExceptionInnerClass {
    }

}
